summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPierre Grandin <grandinp@altern.org>2016-11-30 19:39:39 +0000
committerPierre Grandin <grandinp@altern.org>2016-11-30 19:39:39 +0000
commitccdd226410d955b0571650e3841f05c21ba45517 (patch)
treefce32e3165bc53579ffc2f522fb4d6d0604272b1
parent5736d23d91fd3d2b921bec31758b0f03a3519204 (diff)
downloadnavit-ccdd226410d955b0571650e3841f05c21ba45517.tar.gz
Reworking android build scripts
-rw-r--r--ci/build_android.sh4
-rw-r--r--ci/build_android_x86.sh9
2 files changed, 9 insertions, 4 deletions
diff --git a/ci/build_android.sh b/ci/build_android.sh
index 04ff64fa7..a0a4659c8 100644
--- a/ci/build_android.sh
+++ b/ci/build_android.sh
@@ -5,7 +5,7 @@ yel='\e[1;33m'
off='\e[0m'
wget -nv -c http://dl.google.com/android/repository/android-ndk-r13-linux-x86_64.zip
-unzip -d ~ android-ndk-r13-linux-x86_64.zip
+unzip -q -d ~ android-ndk-r13-linux-x86_64.zip
# setup var's to perform environment setup and cmake
export START_PATH=~/
@@ -42,7 +42,7 @@ else
echo
fi
-mkdir -p $BUILD_PATH
+[ -d $BUILD_PATH ] || mkdir -p $BUILD_PATH
cd $BUILD_PATH
export PATH=$ANDROID_NDK_BIN:$ANDROID_SDK_TOOLS:$ANDROID_SDK_PLATFORM_TOOLS:$PATH
android list targets
diff --git a/ci/build_android_x86.sh b/ci/build_android_x86.sh
index 6eea4c7bb..022b7f5af 100644
--- a/ci/build_android_x86.sh
+++ b/ci/build_android_x86.sh
@@ -6,12 +6,17 @@ export ANDROID_NDK_BIN=$ANDROID_NDK"/toolchains/x86-4.9/prebuilt/linux-x86_64/bi
export ANDROID_SDK="/usr/local/android-sdk-linux/"
export ANDROID_SDK_PLATFORM_TOOLS=$ANDROID_SDK"/platform-tools"
export PATH=$ANDROID_NDK_BIN:$ANDROID_SDK_PLATFORM_TOOLS:$PATH
+export BUILD_PATH=$START_PATH"/android-x86"
-mkdir android-x86 && cd android-x86
+wget -nv -c http://dl.google.com/android/repository/android-ndk-r13-linux-x86_64.zip
+unzip -q -d ~ android-ndk-r13-linux-x86_64.zip
+
+[ -d $BUILD_PATH ] || mkdir -p $BUILD_PATH
+cd $BUILD_PATH
android list targets
-cmake -DCMAKE_TOOLCHAIN_FILE=$CMAKE_FILE -DAVOID_FLOAT=1 -DSAMPLE_MAP=n -DBUILD_MAPTOOL=n -DANDROID_API_VERSION=23 -DANDROID_NDK_API_VERSION=19 -DDISABLE_CXX=1 -DDISABLE_QT=1 ../ || exit -1
+cmake -DCMAKE_TOOLCHAIN_FILE=$CMAKE_FILE -DAVOID_FLOAT=1 -DSAMPLE_MAP=n -DBUILD_MAPTOOL=n -DANDROID_API_VERSION=23 -DANDROID_NDK_API_VERSION=19 -DDISABLE_CXX=1 -DDISABLE_QT=1 $SOURCE_PATH || exit -1
make || exit -1
if [[ "${CIRCLE_BRANCH}" == "master" ]]; then